手机版
你好,游客 登录 注册 搜索
背景:
阅读新闻

Linux Kernel 'kernel/bpf/verifier.c'本地信息泄露漏洞(CVE-2017-17864)

[日期:2018-01-08] 来源:Linux社区  作者:Linux [字体: ]
Linux Kernel 'kernel/bpf/verifier.c'本地信息泄露漏洞(CVE-2017-17864)


发布日期:2017-12-19
更新日期:2018-01-08

受影响系统:

Linux kernel <= 4.14.8

描述:


BUGTRAQ  ID: 102320
CVE(CAN) ID: CVE-2017-17864

Linux Kernel是Linux操作系统的内核。

Linux kernel <= 4.14.8版本,kernel/bpf/verifier.c未正确处理指针数据类型及UNKNOWN_VALUE数据类型之间的states_equal比较,可使本地用户利用此漏洞获取敏感的地址信息。

<*来源:vendor
  *>

建议:


厂商补丁:

Linux
-----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

http://www.kernel.org/
https://bugzilla.redhat.com/show_bug.cgi?id=1529120
https://anonscm.debian.org/cgit/kernel/linux.git/commit/?h=stretch-security&id=ad775f6ff7eebb93eedc2f592bc974260e7757b0
https://access.redhat.com/security/cve/cve-2017-17864
https://anonscm.debian.org/cgit/kernel/linux.git/tree/debian/patches/bugfix/all/bpf-verifier-fix-states_equal-comparison-of-pointer-and-unknown.patch?h=stretch-security

Ubuntu,Linux Mint及其他衍生版上安装Kernel 4.15 RC5  http://www.linuxidc.com/Linux/2018-01/150081.htm

Ubuntu 上安装 Linux Kernel 4.9.26 内核  http://www.linuxidc.com/Linux/2017-05/143609.htm

Ubuntu 16.04.2 安装Linux kernel 4.10 内核并解决 VMware 问题  http://www.linuxidc.com/Linux/2017-03/141456.htm

Linux Kernel 4.2.2 编译安装教程  http://www.linuxidc.com/Linux/2015-10/123714.htm

Ubuntu 15.10 将使用 Linux Kernel 4.2 内核  http://www.linuxidc.com/Linux/2015-09/122826.htm

Linux Kernel 5.0将于2018年夏季发布 http://www.linuxidc.com/Linux/2017-12/149328.htm 

Ubuntu、Linuxmint 及衍生版本安装Linux Kernel 4.10.1  http://www.linuxidc.com/Linux/2017-03/141469.htm

Linux Kernel 4.15将在两周内释出,RC7今天发布  http://www.linuxidc.com/Linux/2018-01/150159.htm

Linux Kernel 的详细介绍请点这里
Linux Kernel 的下载地址请点这里

本文永久更新链接地址http://www.linuxidc.com/Linux/2018-01/150175.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款